POST api/FawryPayment/PaymentRequest

Request Information

URI Parameters

None.

Body Parameters

FawryPaymentRequest
NameDescriptionTypeAdditional information
email

string

Required

Data type: EmailAddress

mobileNumber

string

Data type: PhoneNumber

amount

decimal number

Required

Range: inclusive between 1 and 2147483647

packageType

string

None.

userId

integer

Required

Range: inclusive between 1 and 2147483647

accountId

integer

None.

expiryDate

date

None.

Request Formats

application/json, text/json

Sample:
{
  "email": "sample string 1",
  "mobileNumber": "sample string 2",
  "amount": 1.0,
  "packageType": "sample string 3",
  "userId": 4,
  "accountId": 5,
  "expiryDate": "2026-04-12T18:02:18.7562868+03:00"
}

text/plain, application/octet-stream

Sample:
{"email":"sample string 1","mobileNumber":"sample string 2","amount":1.0,"packageType":"sample string 3","userId":4,"accountId":5,"expiryDate":"2026-04-12T18:02:18.7562868+03:00"}

application/xml, text/xml

Sample:
<FawryPaymentRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Fawry.Models">
  <accountId>5</accountId>
  <amount>1</amount>
  <email>sample string 1</email>
  <expiryDate>2026-04-12T18:02:18.7562868+03:00</expiryDate>
  <mobileNumber>sample string 2</mobileNumber>
  <packageType>sample string 3</packageType>
  <userId>4</userId>
</FawryPaymentRequest>

multipart/form-data, application/form-data

Sample:
<FawryPaymentRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Fawry.Models"><accountId>5</accountId><amount>1</amount><email>sample string 1</email><expiryDate>2026-04-12T18:02:18.7562868+03:00</expiryDate><mobileNumber>sample string 2</mobileNumber><packageType>sample string 3</packageType><userId>4</userId></FawryPaymentRequest>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Object

None.

Response Formats

application/json, text/json, text/plain, application/octet-stream

Sample:
{}

application/xml, text/xml, multipart/form-data, application/form-data

Sample:
<z:anyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:z="http://schemas.microsoft.com/2003/10/Serialization/" />